Bug 136632 - Save transparency when exporting selected drawing objects is not working for PNG
Summary: Save transparency when exporting selected drawing objects is not working for PNG
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.3.6.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.4.0 target:7.3.2 target:7.2.7
Keywords:
Depends on:
Blocks: Draw-File-Handling
  Show dependency treegraph
 
Reported: 2020-09-10 04:15 UTC by Nikunj Bhatt
Modified: 2022-03-10 09:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikunj Bhatt 2020-09-10 04:15:09 UTC
Description:
If object(s) is/are selected, exported as PNG when 'Save transparency' option is NOT checked under 'Drawing Objects' section in the 'PNG options' dialog box, the image is saved WITH transparency.

However if 'Selection' option is not checked in the Export dialog box (full page is considered to be exported) then the 'Save transparency' option/checkbox in last 'PNG options' dialog box is honoured.

Steps to Reproduce:
1. Add one or more objects in a page in Draw which could result in PNG transparent image
2. Select all the objects
3. Open the Export wizard from File menu
4. Enter file name with PNG extension or select PNG from 'Filter' dropdown in the Export dialog box
5. Check the option 'Selection' in the Export dialog box and click on 'Save' button
6. In the PNG options dialog box, UNCHECK the 'Save transparency' checkbox under section 'Drawing Objects'
7. Click on 'OK' button to finally export/save the image is PNG

Actual Results:
The PNG image is being saved with transparency

Expected Results:
The PNG image must not have transparency, it must have white pixels in place of the transparent pixels.


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: DrawingDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes

Version: 6.3.6.2
Build ID: 6.3.6.2-4.fc31
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: kde5; 
Locale: en-IN (en_IN.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 V Stuart Foote 2020-09-12 06:08:29 UTC
Confirm the checkbox toggle is not disabling transparency recent 7.1.0 master.
Version: 7.1.0.0.alpha0+ (x64)
Build ID: a3b4831208da615789bd1e2d5660dd130807f504
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: threaded
Comment 2 Thomas Lendo QA 2020-09-20 19:06:51 UTC
Set bug to NEW according to comment 1.
Comment 3 Commit Notification 2022-03-05 15:41:09 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eed83764088bfdfcc6513778f7dc83d649f550a3

tdf#136632: Use 'Save transparency' when exporting selected objects for PNG

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2022-03-05 15:49:12 UTC
Patch for 7.3 branch waiting for review here:
https://gerrit.libreoffice.org/c/core/+/131061
Comment 5 Commit Notification 2022-03-07 09:48:42 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/43356e4d9fe022f24265747cb4b0ae2fc3cd3236

tdf#136632: Use 'Save transparency' when exporting selected objects for PNG

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-03-07 18:49:36 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b461ada70158de5cd2e96a54147c8e46ee1ca4ac

tdf#136632: sd_png_export_tests: Add unittest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-03-10 09:34:07 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/61c5101a95308fe20e684fa72457c867bd115216

tdf#136632: Use 'Save transparency' when exporting selected objects for PNG

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.